DelegationTokenSecretManager (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.security.token.delegation
Class DelegationTokenSecretManager

    java.lang.Object
      org.apache.hadoop.security.token.SecretManager<TokenIdent>
          org.apache.hadoop.security.token.delegation.AbstractDelegationTokenSecretManager<DelegationTokenIdentifier>
              org.apache.hadoop.mapreduce.security.token.delegation.DelegationTokenSecretManager

    public class DelegationTokenSecretManager

extends AbstractDelegationTokenSecretManager<DelegationTokenIdentifier>

A MapReduce specific delegation token secret manager. The secret manager is responsible for generating and accepting the password for each token.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.security.token.delegation.AbstractDelegationTokenSecretManager
`AbstractDelegationTokenSecretManager.DelegationTokenInformation`

Nested classes/interfaces inherited from class org.apache.hadoop.security.token.SecretManager
`SecretManager.InvalidToken`

Field Summary

Fields inherited from class org.apache.hadoop.security.token.delegation.AbstractDelegationTokenSecretManager
`allKeys, currentId, currentTokens, delegationTokenSequenceNumber, noInterruptsLock, running`

Constructor Summary
`DelegationTokenSecretManager(long delegationKeyUpdateInterval, long delegationTokenMaxLifetime, long delegationTokenRenewInterval, long delegationTokenRemoverScanInterval)` Create a secret manager

Method Summary
`DelegationTokenIdentifier` | `createIdentifier()` Create an empty token identifier.

Methods inherited from class org.apache.hadoop.security.token.delegation.AbstractDelegationTokenSecretManager
`addKey, cancelToken, createPassword, createSecretKey, getAllKeys, isRunning, logUpdateMasterKey, renewToken, retrievePassword, startThreads, stopThreads, verifyToken`

Methods inherited from class org.apache.hadoop.security.token.SecretManager
`createPassword, generateSecret`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegationTokenSecretManager

    public DelegationTokenSecretManager(long delegationKeyUpdateInterval,
                                        long delegationTokenMaxLifetime,
                                        long delegationTokenRenewInterval,
                                        long delegationTokenRemoverScanInterval)

  Create a secret manager

  Parameters:
    `delegationKeyUpdateInterval` - the number of seconds for rolling new secret keys.
    `delegationTokenMaxLifetime` - the maximum lifetime of the delegation tokens
    `delegationTokenRenewInterval` - how often the tokens must be renewed
    `delegationTokenRemoverScanInterval` - how often the tokens are scanned for expired tokens

Method Detail

### createIdentifier

    public DelegationTokenIdentifier createIdentifier()

  Description copied from class: `SecretManager`
  Create an empty token identifier.

  Specified by:
    `createIdentifier` in class `SecretManager<DelegationTokenIdentifier>`
  Returns:
    the newly created empty token identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation